{ instancesFunctions }:
let
  inherit (instancesFunctions)
    domain0
    servicePath
    sslPath
    sopsPath
    ;

  hledgerLabel = "Hledger";
  hledgerName = "hledger";
  hledgerSubdomain = "source";
in
{
  label = hledgerLabel;
  name = hledgerName;
  email = {
    address0 = "noreply@${domain0}";
  };
  sops = {
    path0 = "${sopsPath}/${hledgerName}";
  };
  subdomain = hledgerSubdomain;
  paths = {
    path0 = "${servicePath}/${hledgerLabel}";
  };
  ports = {
    port0 = 5000;
  };
  ssl = {
    cert = "${sslPath}/${hledgerSubdomain}.${domain0}/fullchain.pem";
    key = "${sslPath}/${hledgerSubdomain}.${domain0}/key.pem";
  };
}
